Loading...
Searching...
No Matches
BALL::TrianglePoint Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/trianglePoint.h>`

Inheritance diagram for BALL::TrianglePoint:

## Public Member Functions

Constructors and Destructors
| TrianglePoint ()
| TrianglePoint (const TVector3< double > &point, const TVector3< double > &normal=TVector3< double >(0.))
| TrianglePoint (const TrianglePoint &point, bool deep=false)
virtual | ~TrianglePoint ()
Assignments
void | set (const TrianglePoint &point, bool deep=false)
TrianglePoint & | operator= (const TrianglePoint &point)
Accessors
TVector3< double > | getPoint () const
void | setPoint (const TVector3< double > &point)
TVector3< double > | getNormal () const
void | setNormal (const TVector3< double > &normal)
Public Member Functions inherited from BALL::GraphVertex< TrianglePoint, TriangleEdge, Triangle >
| GraphVertex ()
virtual | ~GraphVertex ()
void | set (const GraphVertex< TrianglePoint, TriangleEdge, Triangle > &vertex, bool deep=false)
GraphVertex< TrianglePoint, TriangleEdge, Triangle > & | operator= (const GraphVertex< TrianglePoint, TriangleEdge, Triangle > &vertex)
void | insert (TriangleEdge *edge)
void | remove (TriangleEdge *edge)
Position | numberOfEdges () const
Position | numberOfFaces () const
void | setIndex (Index index)
Index | getIndex () const
bool | join (const TrianglePoint &vertex)
bool | substitute (TrianglePoint *vertex)
Triangle * | has (Triangle *face) const
bool | hasEdges () const
bool | hasFaces () const
EdgeIterator | beginEdge ()
EdgeIterator | endEdge ()
FaceIterator | beginFace ()
FaceIterator | endFace ()

## Friends

Class friends

- class Triangle
- class TriangleEdge
- class TriangulatedSurface
- class TriangulatedSphere
- class TriangulatedSES
- class SESTriangulator
- class TriangulatedSAS
- class SASTriangulator

class | Triangle
class | TriangleEdge
class | TriangulatedSurface
class | TriangulatedSphere
class | TriangulatedSES
class | SESTriangulator
class | TriangulatedSAS
class | SASTriangulator
Friends inherited from BALL::GraphVertex< TrianglePoint, TriangleEdge, Triangle >

## Predicates

TVector3< double > | point_
TVector3< double > | normal_
virtual bool | operator== (const TrianglePoint &point) const
virtual bool | operator!= (const TrianglePoint &point) const
virtual bool | operator*= (const TrianglePoint &point) const

## Additional Inherited Members

Public Types inherited from BALL::GraphVertex< TrianglePoint, TriangleEdge, Triangle >
typedef HashSet< TriangleEdge * >::Iterator | EdgeIterator
typedef HashSet< TriangleEdge * >::ConstIterator | ConstEdgeIterator
typedef HashSet< Triangle * >::Iterator | FaceIterator
typedef HashSet< Triangle * >::ConstIterator | ConstFaceIterator
HashSet< TriangleEdge * > | edges_
HashSet< Triangle * > | faces_
Index | index_

## Detailed Description

Generic TriangleEdge Class.

Definition at line 41 of file trianglePoint.h.

## Constructor & Destructor Documentation

## TrianglePoint() [1/3]

BALL::TrianglePoint::TrianglePoint | ( |  | ) |

Default constructor. This method creates a new TrianglePoint object.

## TrianglePoint() [2/3]

BALL::TrianglePoint::TrianglePoint | ( | const TVector3< double > & | point,
|  | const TVector3< double > & | normal = TVector3< double >(0.) )

Detailed constructor. This method creates a new TrianglePoint object with the given point and normal.

## TrianglePoint() [3/3]

BALL::TrianglePoint::TrianglePoint | ( | const TrianglePoint & | point,
|  | bool | deep = false )

Copy constructor. Create a new TrianglePoint object from another.

Parameters

  point | the TrianglePoint object to be copied
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the new TrianglePoint object is linked to the neighbours of the old TrianglePoint object.

## ~TrianglePoint()

virtual BALL::TrianglePoint::~TrianglePoint | ( |  | ) |

virtual

Destructor. Destructs the TrianglePoint object.

## Member Function Documentation

## getNormal()

TVector3< double > BALL::TrianglePoint::getNormal | ( |  | ) | const

Get the normal of the TrianglePoint

## getPoint()

TVector3< double > BALL::TrianglePoint::getPoint | ( |  | ) | const

Get the point

## operator!=()

virtual bool BALL::TrianglePoint::operator!= | ( | const TrianglePoint & | point | ) | const

virtual

Inequality operator

Returns
  bool false if the TrianglePoints lie on the same point, true otherwise.

Reimplemented from BALL::GraphVertex< TrianglePoint, TriangleEdge, Triangle >.

## operator*=()

virtual bool BALL::TrianglePoint::operator*= | ( | const TrianglePoint & | point | ) | const

virtual

Similarity operator

Returns
  bool true if the TrianglePoints lie on the same point,
  false otherwise.

Reimplemented from BALL::GraphVertex< TrianglePoint, TriangleEdge, Triangle >.

## operator=()

TrianglePoint & BALL::TrianglePoint::operator= | ( | const TrianglePoint & | point | ) |

Assign from another TrianglePoint. The new TrianglePoint object is linked to the neighbours of the TrianglePoint object to assign from.

Parameters

  point | the TrianglePoint object to assign from

## operator==()

virtual bool BALL::TrianglePoint::operator== | ( | const TrianglePoint & | point | ) | const

virtual

Equality operator

Returns
  bool true if the TrianglePoints lie on the same point,
  false otherwise.

Reimplemented from BALL::GraphVertex< TrianglePoint, TriangleEdge, Triangle >.

## set()

void BALL::TrianglePoint::set | ( | const TrianglePoint & | point,
|  | bool | deep = false )

Assign from another TrianglePoint.

Parameters

  point | the TrianglePoint object to assign from
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the new TrianglePoint object is linked to the neighbours of the TrianglePoint object to assign from.

## setNormal()

void BALL::TrianglePoint::setNormal | ( | const TVector3< double > & | normal | ) |

Set the normal of the TrianglePoint

Exceptions

  BALL::Exception::DivisionByZero |

## setPoint()

void BALL::TrianglePoint::setPoint | ( | const TVector3< double > & | point | ) |

Set the point

## Friends And Related Symbol Documentation

## SASTriangulator

friend class SASTriangulator

friend

Definition at line 66 of file trianglePoint.h.

## SESTriangulator

friend class SESTriangulator

friend

Definition at line 64 of file trianglePoint.h.

## Triangle

friend class Triangle

friend

Definition at line 59 of file trianglePoint.h.

## TriangleEdge

friend class TriangleEdge

friend

Definition at line 60 of file trianglePoint.h.

## TriangulatedSAS

friend class TriangulatedSAS

friend

Definition at line 65 of file trianglePoint.h.

## TriangulatedSES

friend class TriangulatedSES

friend

Definition at line 63 of file trianglePoint.h.

## TriangulatedSphere

friend class TriangulatedSphere

friend

Definition at line 62 of file trianglePoint.h.

## TriangulatedSurface

friend class TriangulatedSurface

friend

Definition at line 61 of file trianglePoint.h.

## Member Data Documentation

## normal_

TVector3<double> BALL::TrianglePoint::normal_

protected

Definition at line 186 of file trianglePoint.h.

## point_

TVector3<double> BALL::TrianglePoint::point_

protected

Definition at line 183 of file trianglePoint.h.